How to migrate between message versions?
========================================
This document is intended to list the methods that are used by the
`molview_messages` packages to migrate between major versions. The `omnibus` and
`omnibuild` package do not provide a pattern for this and will not provide one
in the future either. The most obvious pattern is to maintain the message
specification and generated code of all major versions in the repository. A
migration library could be added that provides message handlers for the older
specification and converts incoming messages to the new specification before
passing them to the handler callback. The same has to be done for the response
messages. If a message in the old specification has been divided into separate
messages, the migration handler can simply hold an additional callback.
